Skip to main content
Nowledge MemNowledge Mem

Import Conversation

POST
/threads/conversations/import

Import a conversation file into Nowledge Mem.

Converts external conversation formats (Claude Code, Codex, Cursor, OpenCode) into threads.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request model for importing a conversation.

Response Body

application/json

application/json

curl -X POST "https://example.com/threads/conversations/import" \  -H "Content-Type: application/json" \  -d '{    "path": "string",    "source": "string"  }'
{  "created_memories": [    {      "access_count": 0,      "appearances": 0,      "clicks": 0,      "confidence": 0.5,      "content": "string",      "created_at": "2019-08-24T14:15:22Z",      "crystal_title": "string",      "decay_score_cached": 1,      "embedding": [        0      ],      "event_end": "string",      "event_start": "string",      "extraction_method": "manual",      "id": "string",      "importance": 0.5,      "is_crystal": false,      "is_latest": true,      "last_accessed_at": "2019-08-24T14:15:22Z",      "last_clicked_at": "2019-08-24T14:15:22Z",      "last_evaluated_at": "2019-08-24T14:15:22Z",      "last_reindexed_at": "2019-08-24T14:15:22Z",      "metadata": {},      "node_type": "Thread",      "pagerank_score": 0,      "reindex_needed": false,      "review_status": "",      "semantic_field": "string",      "source": "string",      "source_range": {        "property1": 0,        "property2": 0      },      "source_unit_count": 0,      "space_id": "default",      "temporal_confidence": 0,      "temporal_context": "timeless",      "temporal_precision": "string",      "temporal_type": "string",      "title": "string",      "total_dwell_time_ms": 0,      "unit_type": "fact",      "updated_at": "2019-08-24T14:15:22Z",      "version": 1    }  ],  "import_summary": "string",  "messages": [    {      "content": "string",      "created_at": "2019-08-24T14:15:22Z",      "id": "string",      "metadata": {},      "node_type": "Thread",      "order_index": 0,      "role": "string",      "timestamp": "2019-08-24T14:15:22Z",      "token_count": 0,      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "skipped_messages": 0,  "thread": {    "created_at": "2019-08-24T14:15:22Z",    "id": "string",    "import_date": "2019-08-24T14:15:22Z",    "message_count": 0,    "metadata": {},    "node_type": "Thread",    "participants": [      "string"    ],    "project": "string",    "source": "string",    "space_id": "default",    "storage_id": "string",    "summary": "string",    "thread_id": "string",    "thread_reference": "string",    "title": "string",    "tool_version": "string",    "updated_at": "2019-08-24T14:15:22Z",    "workspace": "string"  },  "warnings": [    "string"  ]}